
# Time-stamp: <2010-08-05 10:52:47 Shinya Abe>

AC_INIT(Cue, 1.8.2, [midmind@mail.goo.ne.jp])
AC_CONFIG_AUX_DIR(config)
AM_INIT_AUTOMAKE(Cue, 1.8.2)

PACKAGE=cue
VERSION_MAJOR=1
VERSION_MINOR=8
RELEASE=2
VERSION=${VERSION_MAJOR}.${VERSION_MINOR}.${RELEASE}

# Checks for programs.
AC_PROG_CC
AC_PROG_INSTALL
AC_PROG_LN_S
AC_PROG_MAKE_SET
AC_PROG_LIBTOOL
AC_PROG_RANLIB

# Checks for header files.
AC_CHECK_HEADERS([stdlib.h])
AC_HEADER_STDC

# Checks for typedefs, structures, and compiler characteristics.
AC_TYPE_SIZE_T
AC_C_CONST
AC_C_VOLATILE

# Checks for library functions.
AC_CHECK_FUNCS([memset strerror])
AC_FUNC_MALLOC
AC_FUNC_REALLOC
AC_FUNC_SETVBUF_REVERSED

AC_SUBST(PACKAGE)
AC_SUBST(VERSION)
AC_SUBST(VERSION_MAJOR)
AC_SUBST(VERSION_MINOR)
AC_SUBST(RELEASE)

AC_CONFIG_FILES( Makefile \
                src/cunit.h \
                src/Makefile \
                script/run-cue \
                script/Makefile \
                share/Makefile \
                share/Makefile.test \
                sample/Makefile \
                test/Makefile )

AC_OUTPUT
